vector_math 2.0.8

Dart native js
Flutter Android iOS web

A Vector Math library for 2D and 3D applications.

32
likes
60 / 110
pub points
100 %
popularity

We analyzed this package on Aug 5, 2020, and awarded it 60 pub points (of a possible 110):

Follow Dart file conventions
0 / 20

0/10 points: Provide a valid pubspec.yaml

The package description is too short.

Add more detail to the description field of pubspec.yaml. Use 60 to 180 characters to describe the package, what it does, and its target use case.

0/5 points: Provide a valid README.md

Links in `README.md` should be secure. 1 link is insecure.

README.md:30:13

   ╷
30 │ <p>Read the <a href="http://www.dartdocs.org/documentation/vector_math/latest/index.html#vector_math">docs</a></p>
   │             ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
   ╵

Use https URLs instead.

0/5 points: Provide a valid CHANGELOG.md

No `CHANGELOG.md` found.

Changelog entries help developers follow the progress of your package. See the example generated by stagehand.

Provide documentation
10 / 20

0/10 points: Package has an example

No example found.

See package layout guidelines on how to add an example.

10/10 points: 20% or more of the public API has dartdoc comments

  • 1493 out of 5417 API elements (27.6 %) have documentation comments.
Support multiple platforms
20 / 20

20/20 points: Supports 2 of 2 possible platforms (native, js)

Pass static analysis
20 / 30

20/30 points: code has no errors, warnings, lints, or formatting issues

Found 4809 issues. Showing the first 2:

INFO: Prefer generic function type aliases.

bin/mesh_generator.dart:10:22

   ╷
10 │ typedef MeshGeometry GenerateFunction(List<String> args);
   │                      ^^^^^^^^^^^^^^^^
   ╵

To reproduce make sure you are using pedantic and run dartanalyzer bin/mesh_generator.dart

INFO: Omit type annotations for local variables.

bin/mesh_generator.dart:16:3

   ╷
16 │   final double width = double.parse(args[0]);
   │   ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
   ╵

To reproduce make sure you are using pedantic and run dartanalyzer bin/mesh_generator.dart

Support up-to-date dependencies
10 / 20

0/10 points: All of the package dependencies are supported in the latest version

  • Could not run pub outdated: pub get failed:
The current Dart SDK version is 2.9.0.

Because vector_math depends on browser any which requires SDK version <2.0.0, version solving failed.

10/10 points: Package supports latest stable Dart and Flutter SDKs

32
likes
60
pub points
100%
popularity

Publisher

google.dev

A Vector Math library for 2D and 3D applications.

Repository (GitHub)
View/report issues

Documentation

API reference

License

BSD (LICENSE)

More

Packages that depend on vector_math